using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using UUN;
using System.Collections;
using System.Text;

public partial class wTemplate_Content_默认模板_Content_Aspx_25:System.Web.UI.Page
{
	//------------------------------
	// 此文件代码由工具自动生成
	// 2010-5-23 10:49:30
	// UUNSOFT.COM 版权所有
	//------------------------------
	private 访问 访问;
	private StringBuilder 返回值;
	protected void Page_Load(object sender,EventArgs e)
	{
		访问 = new 访问(this.Context);
		访问.是否前台=true;
		访问.是否WML=true;
		访问.开始处理("评论列表","其它","评论列表",new 访问.回调委托(ZhiXing));
		访问.关闭连接();
	}
	private void ZhiXing()
	{
		返回值=new StringBuilder();
	ID=Convert.ToInt32(Request.QueryString["ID"]);
	获取内容标题();
	当前页面=程序.安装位置+"Comment.aspx";
	排序=Convert.ToInt32(Request.QueryString["order"]);
	一页显示记录数=获取一页显示记录数();
	跳页表单项="<postfield name=\"ID\" value=\""+ID+"\" />"+
		"<postfield name=\"CID\" value=\""+栏目ID+"\" />"+
		"<postfield name=\"order\" value=\""+排序+"\" />"+
		"<postfield name=\""+程序.设置["标识名称"]+"\" value=\""+访问.用户["标识"]+"\" />";
	_3G跳页表单项="<input type=\"hidden\" name=\"ID\" value=\""+ID+"\" />"+
		"<input type=\"hidden\" name=\"CID\" value=\""+栏目ID+"\" />"+
		"<input type=\"hidden\" name=\"order\" value=\""+排序+"\" />"+
		"<input type=\"hidden\" name=\""+程序.设置["标识名称"]+"\" value=\""+访问.用户["标识"]+"\" />";
		查询条件="[内容类型]='软件' AND [内容ID]="+ID;
		String 数量语句SQL="SELECT COUNT(ID) FROM ["+程序.数据表前缀+"内容_评论] WHERE "+查询条件;
		SqlCommand 数量语句=new SqlCommand(数量语句SQL,访问.连接);
		当前页=Convert.ToInt32(Request.QueryString["page"]);
		总记录数=Convert.ToInt32(数量语句.ExecuteScalar());
		总页数=常用.计算总页数(总记录数,一页显示记录数);
		当前页=常用.计算当前页(总页数,当前页);
		返回值.Append(@"<?xml version=""1.0"" encoding=""utf-8""?>
<!DOCTYPE wml PUBLIC ""-//WAPFORUM//DTD WML 1.1//EN"" ""http://www.wapforum.org/DTD/wml_1.1.xml"">
<wml>
<head>
<meta http-equiv=""Cache-Control"" content=""max-age=0"" />
</head>

<card title=""");
		返回值.Append(内容标题);
		返回值.Append(@"-");
		返回值.Append(常用.获取栏目名称(栏目ID));
		返回值.Append(@""">
<p>
");
		返回值.Append(new 消息(this.Context,访问.连接).弹出消息(访问.用户));
		返回值.Append(@"
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"Content.aspx?CID="+栏目ID+"&ID="+ID,访问.用户["标识"].ToString())));
		返回值.Append(@""">评论:");
		返回值.Append(内容标题);
		返回值.Append(@"</a><br/>
----------
<br/>
共");
		返回值.Append(总记录数);
		返回值.Append(@"条评论<br/>

");
		评论列表1A62CFJ6();
		返回值.Append(@"
");
		if(总页数<2)
		{
		}
		else
		{
		返回值.Append(下页代码1W7IXGDX());
		返回值.Append(上页代码X1L7AI71());
		返回值.Append(@" 共");
		返回值.Append(总页数);
		返回值.Append(@"页<br/>
");
		返回值.Append(偏移地址LSV69DXC());
		返回值.Append(静态定位KLYQQI0G());
		返回值.Append(偏移地址9MWZZB8E());
		返回值.Append(@"<br/>
<input type=""text"" name=""page"" format=""*N"" size=""2"" value=""2"" /><anchor><go href=""");
		返回值.Append(当前页面);
		返回值.Append(@""" method=""get"">");
		返回值.Append(跳页表单项);
		返回值.Append(@"<postfield name=""page"" value=""$(page)"" /></go>[跳页]</anchor><br/>");
		}
		返回值.Append(@"<br/>

<input type=""text"" name=""CommentText"" maxlength=""250"" /><br/>
<anchor><go href=""/UUN WAP CMS 3.1/Comment_Save.aspx?CID=");
		返回值.Append(栏目ID);
		返回值.Append(@"&amp;ID=");
		返回值.Append(ID);
		返回值.Append(@"&amp;");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""" method=""post""><postfield name=""CommentText"" value=""$(CommentText)"" /></go>[发表评论]</anchor><br/>
<br/>
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"Content.aspx?CID="+栏目ID+"&ID="+ID,访问.用户["标识"].ToString())));
		返回值.Append(@""">返回内容</a><br/>
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"Column.aspx?ID="+栏目ID,访问.用户["标识"].ToString())));
		返回值.Append(@""">返回栏目</a><br/>
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"page.aspx?ID=1",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回首页</a><br/>

");
		返回值.Append(DateTime.Now.ToString(@"MM月dd日 HH:mm"));
		返回值.Append(@"
</p>
</card>
</wml>");
		Response.Write(返回值);
		Response.Write("<!-- Powered by www.uunsoft.com -->");
	}
	private String 当前页面;
	//参数
	private String 类型="软件";
	private int ID;
	private int 排序;
	//其它
	private String 跳页表单项;
	private String _3G跳页表单项;
	private String 查询条件="";
	private int 栏目ID;
	private String 内容标题;
	//列表分页
	private int 当前页;
	private int 总页数;
	private int 总记录数;
	private int 一页显示记录数;
	private String 列表跳页(int 页码)
	{
		return Server.HtmlEncode(常用.处理地址(当前页面+"?CID="+栏目ID+"&ID="+ID+"&order="+排序+"&page="+页码,访问.用户["标识"].ToString()));
	}
	private String 生成余下全部地址()
	{
		return "";
	}
	private void 获取内容标题()
	{
		int 评论模板=0;
		SqlCommand 语句=new SqlCommand("SELECT [ID],[标题],[所属栏目],[评论模板] FROM ["+程序.数据表前缀+"内容_"+类型+"_"+类型+"] WHERE "+(ID==0?"":"[ID]="+ID+" AND")+" [是否审核]='0' AND [是否删除]='0'",访问.连接);
		SqlDataReader 读取=语句.ExecuteReader();
		if(读取.Read())
		{
			ID=Convert.ToInt32(读取["ID"]);
			栏目ID=Convert.ToInt32(读取["所属栏目"]);
			内容标题=读取["标题"].ToString();
			评论模板=Convert.ToInt32(读取["评论模板"]);
		}
		else
		{
			读取.Close();
			throw new Exception("内容不存在");
		}
		读取.Close();

		

		if(评论模板!=null)
			if(File.Exists("~/Template/Content/"+程序.设置["默认模板"]+"/Content_Aspx/"+评论模板+".aspx"))
				Server.Transfer("~/Template/Content/"+程序.设置["默认模板"]+"/Content_Aspx/"+评论模板+".aspx");
	}
	private void 评论列表1A62CFJ6()
	{
		if(总记录数<1)
			返回值.Append(@"");
		String 语句SQL="SELECT [ID],[楼数],[评论用户ID],[评论用户昵称],[评论用户地区],[评论内容],[发表时间] FROM ["+程序.数据表前缀+"内容_评论] WHERE "+查询条件;
		语句SQL+=" ORDER BY ";
		switch(排序)
		{
			case 0:
				语句SQL+="[发表时间]";
				break;
			case 1:
				语句SQL+="[发表时间] DESC";
				break;
			case 2:
				语句SQL+="[支持] DESC";
				break;
			default:
				语句SQL+="[反对] DESC";
				break;
		}
		SqlCommand 语句=new SqlCommand(语句SQL,访问.连接);
		DataSet 数据=new DataSet();
		SqlDataAdapter 填充=new SqlDataAdapter(语句);
		填充.Fill(数据,(当前页-1)*一页显示记录数,一页显示记录数,"表");
		for(int i=0;i<数据.Tables[0].Rows.Count;i++)
		{
			DataRow 行=数据.Tables[0].Rows[i];
			返回值.Append(@"第");
			返回值.Append(行["楼数"].ToString());
			返回值.Append(@"楼 <a href=""");
			返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"Club/User.aspx?ID="+行["评论用户ID"]+"&rurl="+Server.UrlEncode(Request.Url.ToString()),访问.用户["标识"].ToString())));
			返回值.Append(@""">");
			返回值.Append(Server.HtmlEncode(行["评论用户昵称"].ToString()));
			返回值.Append(@"</a> 来自:");
			返回值.Append(行["评论用户地区"].ToString());
			返回值.Append(@"<br/>");
			返回值.Append(Server.HtmlEncode(常用.截取字符串(行["评论内容"].ToString(),0)));
			返回值.Append(@" 发表于:");
			返回值.Append(Convert.ToDateTime(行["发表时间"]).ToString(""));
			返回值.Append(@"<br/>");
		}
		}

		private String 下页代码1W7IXGDX()
		{
			String 返回值="";
			int 页数=当前页+1;
			if(当前页<总页数)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">下页</a> ";

			}
			else
			{

			}

			return 返回值;
		}

		private String 上页代码X1L7AI71()
		{
			String 返回值="";
			int 页数=当前页-1;
			if(当前页>1)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">上页</a> ";

			}
			else
			{

			}

			return 返回值;
		}

		private String 偏移地址LSV69DXC()
		{
			String 返回值="";
			int 页数=当前页+-5;
			if(页数>0&&页数<=总页数)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">&lt;&lt;</a>
";

			}
			else
			{

			}

			return 返回值;
		}

	private String 静态定位KLYQQI0G()
	{
		String 返回值="";
		int 数量=5;
		int 所在位置=当前页%数量==0?当前页/数量:当前页/数量+1;
		所在位置=所在位置-1;
		for(int i=(所在位置*数量)+1;i<=(所在位置*数量)+数量;i++)
			if(i>0&&i<=总页数&&总页数>1)
				if(i==当前页)
				{
				返回值+=@"<a href=""";
				返回值+=列表跳页(i);
				返回值+=@""">[";
				返回值+=i.ToString();
				返回值+=@"]</a>
";

				}
				else
				{
				返回值+=@"<a href=""";
				返回值+=列表跳页(i);
				返回值+=@""">";
				返回值+=i.ToString();
				返回值+=@"</a>
";
				}
		return 返回值;
	}

		private String 偏移地址9MWZZB8E()
		{
			String 返回值="";
			int 页数=当前页+5;
			if(页数>0&&页数<=总页数)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">&gt;&gt;</a>
";

			}
			else
			{

			}

			return 返回值;
		}
	private int 获取一页显示记录数()
	{
		return 访问.获取一页显示记录数();

	}
}